Subject: bug#76160: guix pull failing on aarch64

From: Mathieu Laparie <[email-masked]>
Date: Sun, 9 Feb 2025 17:07:00 +0100

Hi,

I have been using Guix package manager on a phone running a foreign distro ( Droidian, i.e., Debian on Android kernel) for years and it was working fine. I left it aside for a few months, and now, trying to guix pull, I get the following error:

```
droidian@Pro1/tmp $ guix pull                                                                                                               Updating channel 'nonguix' from Git repository at 'https://gitlab.com/nonguix/nonguix'...
/home/droidian/.config/guix/channels.scm:1:7: warning: channel 'nonguix' lacks 'introduction' field but '.guix-authorizations' found
Updating channel 'mlaparie-guix-private-channel' from Git repository at 'https://git.sr.ht/~mlaparie/guix-private-channel'...
Updating channel 'emacs' from Git repository at 'https://github.com/garrgravarr/guix-emacs'...
Updating channel 'guix-cran' from Git repository at 'https://github.com/guix-science/guix-cran.git'...
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from these channels:
  nonguix   https://gitlab.com/nonguix/nonguix  1df7887
  mlaparie-guix-private-channelhttps://git.sr.ht/~mlaparie/guix-private-channel 07a9dac
  emacs     https://github.com/garrgravarr/guix-emacs   46964aa
  guix-cran https://github.com/guix-science/guix-cran.git       f26cf28
  guix      https://git.savannah.gnu.org/git/guix.git   7f33133
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
building /gnu/store/9k3zws5jlb8z9d46wzm2z5akr27qrhab-doxygen-1.9.8.drv...
- 'unpack' phaseuild-log 2943660 53
doxygen-1.9.8/testing/069_link_variadic_template.cpp
  6% ▕████████▍                                                                                                                                    ▏log 2943660 2
 [@ build-log 2943660 12
-Wdeprecated@ build-log 2943660 1
]@ build-log 2943660 1

  6% ▕████████▍                                                                                                                                    ▏log 2943660 2
 [@ build-log 2943660 12
-Wdeprecated@ build-log 2943660 1
]@ build-log 2943660 1

 28% ▕███████████████████████████████████████▍                                                                                                     |guix pull: error: You found a bug: the program '/gnu/store/4s997mhpwjk71gfspi8vf8fpcjfcrvsn-compute-guix-derivation'
failed to compute the derivation for Guix (version: "7f3313341caf844d9fb6919f6cdc28fdcaf06c6d"; system: "aarch64-linux";
host version: "1eead56e2f763e3a1a371f9ea00e89337867d397"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.
```

I tried to clean my `~/.cache/guix` and pull again, but that did not help.

The sane channels can be pulled fine on my other machines (x64).

Any ideas? Thanks!

M